Skip to main content
`Ctrl`+`K`

# DMSNESGetFunctionLocal

get the local residual evaluation function information set with `DMSNESSetFunctionLocal()`.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode DMSNESGetFunctionLocal(DM dm, PetscErrorCode (**func)(DM dm, Vec x, Vec f, PetscCtx ctx), PetscCtxRt ctx)

Not Collective

## Input Parameter

- dm - `DM` with the associated callback

## Output Parameters

- func - local residual evaluation

- ctx - context for local residual evaluation

## Calling sequence of `func`

- dm - `DM` for the function

- x - vector to state at which to evaluate residual

- f - vector to hold the function evaluation

- ctx - optional context passed above

## See Also

SNES: Nonlinear Solvers, `DMSNESSetFunction()`, `DMSNESSetFunctionLocal()`, `DMSNESSetJacobianLocal()`

## Level

beginner

## Location

src/snes/utils/dmlocalsnes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages